bluetooth is nonfunctional

Bug #453885 reported by Serhiy Kachaniuk on 2009-10-17
92
This bug affects 16 people
Affects Status Importance Assigned to Milestone
Bluez Utilities
New
Undecided
Unassigned
bluez (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by WaR^DoG

Bug Description

Binary package hint: bluez

Since my upgrade to kubuntu karmic my USB dongle stopped working, but it still works in my other jaunty machine and in Windows XP.

Adapter model is Broadcom BCM2035

lsusb says:
Bus 003 Device 005: ID 0c10:0000

Symptoms:
1) If i open bluetooth adapter settings in either kbluetooth, bluez-gnome or gnome-bluetooth, it says adapter is in hidden mode. If i change it to discovered, save settings, then open configuration dialog again, it still says that adapter is in hidden mode.
2) When i scan for bluetooth devices in kbluetooth, bluez-gnome, gnome-bluetooth or using command hcitool scan
it cannot find any device. When i try to connect to already known device connection also fails
3)Same when i try to discover karmic machine or connect to it from my mobile or PDA.
3) Also in adapter config dialog adapter name is set to "Broadcom BCM2035", whereas in jaunty it was $hostname-1

hciconfig says:
hci0: Type: USB
        BD Address: 00:1A:7D:0A:C8:8A ACL MTU: 377:10 SCO MTU: 16:0
        UP RUNNING
        RX bytes:664 acl:0 sco:0 events:18 errors:0
        TX bytes:76 acl:0 sco:0 commands:20 errors:0

$ hcitool scan
Scanning ...
Inquiry failed: Connection timed out

$ uname -a
Linux gendalf 2.6.31-14-generic #47-Ubuntu SMP Thu Oct 15 02:08:08 UTC 2009 i686 GNU/Linux

$ apt-cache policy bluez
bluez:
  Installed: 4.51-0ubuntu2
  Candidate: 4.51-0ubuntu2
  Version table:
 *** 4.51-0ubuntu2 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

Let me know if you need additional info from me.

ProblemType: Bug
Architecture: i386
Date: Sat Oct 17 13:53:20 2009
DistroRelease: Ubuntu 9.10
Package: bluez 4.51-0ubuntu2
ProcEnviron:
 LANGUAGE=uk_UA:uk:en_GB:en
 LANG=uk_UA.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.47-generic
SourcePackage: bluez
Uname: Linux 2.6.31-14-generic i686
XsessionErrors: (polkit-gnome-authentication-agent-1:2131): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

Serhiy Kachaniuk (serzholino) wrote :
summary: - bluetooth using USB dongle is nonfunctional
+ bluetooth in karmic is nonfunctional

Downgrading to jaunty bluez helps. Version in jaunty is #329584.
Also, i see than debian unstable has 4.56 version, whereas karmic has 4.51. Will try version from debian as well and report results here/

Serhiy Kachaniuk (serzholino) wrote :

Tried bluez form debian - same problems, reverting to packages from jaunty

Marcin Miklas (amoce) on 2009-11-10
Changed in bluez (Ubuntu):
status: New → Confirmed

I also have similar Broadcom 2035 BT dongle. I used it quite irregularly, but completely sure that it was Ok with Kubuntu9,04 and after a few months (during which I had upgraded to 9,10) it stopped working. Now I tried newer (2,6,32) and older (from 9,04) kernels, but it didn't help. Didn't try this workaround yet.

I have checked this workaround (with bluez package from 9.04) and it really worked.
There is only one "hci_cmd_task: hci0 command tx timeout" message in dmesg though.

Fernando D. (fdbozzo) wrote :

Work OK on Ubuntu 9.04, fails in 9.10 and 10.04 alpha. Theese are similar bug reports: 492747, 453885, 424225, 494172

Serhiy Kachaniuk (serzholino) wrote :

Looking that it fails not only in ubuntu, this is an upstream bug...
Can someone take time and fill bugreport in bluez bugtracker and link it to this bug?

Vetal (vetal1950) wrote :

Don't work bluetooth on ubuntu 9.10 and 10.04_alpha3. Adapter Broadcom BCM2035.

On Fri, Mar 19, 2010 at 7:28 AM, Vetal <email address hidden> wrote:
> Don't work bluetooth on ubuntu 9.10 and 10.04_alpha3. Adapter Broadcom
> BCM2035.
>

Instead of this kind of message I would prefer a complete of
explanation of the problem you have in another bug.
«Don't work bluetooth» doesn't mean nothing technically.

so open a terminal and type "ubuntu-bug bluez" it will open a new bug
with details attached.

Thanks

--
Baptiste Mille-Mathias
Les gens heureux ne sont pas pressés

Hi Baptiste:

This bug reports begins with a complete explanation, my bug description have a complete description too (https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/493747), and I take the time to mark mine as duplicate of another old bug (bug #268502) that have been fixed and broken again in Ubuntu 9.10 and 10.04 alpha.
So, ¿what else is necessary to detail this bug? ¿Is somebody viewing it?
So far, i feel that i've spend hours to document and report this at no avail, and I don't see any answers.

Best regards.

Hi

On Fri, Mar 19, 2010 at 1:21 PM, Fernando D. <email address hidden> wrote:
> Hi Baptiste:
>
> This bug reports begins with a complete explanation, my bug description have a complete description too (https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/493747), and I take the time to mark mine as duplicate of another old bug (bug #268502) that have been fixed and broken again in Ubuntu 9.10 and 10.04 alpha.
> So, ¿what else is necessary to detail this bug? ¿Is somebody viewing it?

I was answering to Vetal.

--
Baptiste Mille-Mathias
Les gens heureux ne sont pas pressés

Also affect Lucid Lynx...so it will remain long-term-unsupported, for more than 4 years ;-)

Serhiy Kachaniuk (serzholino) wrote :

Yeah,but this affects all distributions shipping bluez version >4.32 :( This should be fixed upstream.

Brian Rogers (brian-rogers) wrote :

I have the latest version of bluez from git in my PPA: https://launchpad.net/~brian-rogers/+archive/ppa

This is either a kernel bug or a bug in bluetoothd, so if the newest bluez doesn't work, try the latest kernel here: http://kernel.ubuntu.com/~kernel-ppa/mainline/

If neither fixes the problem, then we want to go backwards and find the first bad kernel or bluez version.

Serhiy Kachaniuk (serzholino) wrote :

I'm now on lucid and manually installing only bluez_4.32 fixes this problem for me... So looks like kernel version is irrelevant. Also i have recently this conversation in #bluez-devel (if i remember correctly channel name) :

[13:46:19] <serzholino> Hi! can someone please point me< where can i file bug
report for bluez?
[13:46:42] <serzholino> It is actually already reported for ubuntu here
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/453885
[13:47:12] <serzholino> but i have the same problem with opensuse as well, so
i think it's an upstream issue
[14:06:38] <jhe> serzholino: usually the mailing list is the best option
[14:07:42] <jhe> serzholino: that bug report seems to be lacking important
logs though, like a hcidump
[14:09:01] <serzholino> jhe: thanks, when i should run it and with what args?
[14:13:29] <jhe> serzholino: usually -XV is enough but if the issue is somehow
timing related then timestamps with -XVt might not be a bad idea
[14:13:54] <jhe> serzholino: and you start running it before starting to
reproduce the issue and stop running it once the issue has been reproduced
[14:14:23] <serzholino> ok, thanks, will try it at home
[14:14:59] <jhe> in this case I think it'd be enough to start it right before
starting bluetoothd and stop it once bluetoothd has initialized itself
[14:15:09] <jhe> since it seems the issue occurs when bluetoothd is trying to
initialize the adapter
[14:16:00] <jhe> it'd also be important to check with the very latest git to
make sure that the issue isn't already fixed there
[14:16:21] <jhe> iirc there has been some adapter initialization related code
changes since 4.51

Unfortunately i didn't have time yet to collect suggested info and write to bluez mailinglist. If someone can do this it would be great.

Brian Rogers (brian-rogers) wrote :

If it turns out that this has already been fixed upstream, then there's no need to collect and report the info. Try bluez 4.64-2 from my PPA first. If that version works fine, we can find the initialization change that fixed it and backport that to lucid.

Serhiy Kachaniuk (serzholino) wrote :

Brian, just installed version from yours ppa - issue is still present, unfortunately :(

Serhiy Kachaniuk (serzholino) wrote :

I've attached hcidump output on bluetoothd start. Maybe these lines can be of some help:

2010-05-05 22:12:34.236583 < HCI Command: Write Default Link Policy Settings (0x02|0x000f) plen 2
    policy 0x0f
    Link policy: RSWITCH HOLD SNIFF PARK
2010-05-05 22:12:34.238578 > HCI Event: Command Complete (0x0e) plen 4
    Write Default Link Policy Settings (0x02|0x000f) ncmd 1
    status 0x11
    Error: Unsupported Feature or Parameter Value

and last line, which tries to read this same parameter value and gets no result:

2010-05-05 22:12:34.279589 < HCI Command: Read Default Link Policy Settings (0x02|0x000e) plen 0

Serhiy Kachaniuk (serzholino) wrote :
Serhiy Kachaniuk (serzholino) wrote :

Also i attached hcidump on bluetoothd start with bluez version 4.32. And this dump doesn't stop on line
2010-05-05 22:12:34.279589 < HCI Command: Read Default Link Policy Settings (0x02|0x000e) plen 0
Even if it gets no response it continues to send new commands to device.

Maybe the reason is that this dongle doesn't support reading/writing of 'Default Link Policy Settings' ?

Brian Rogers (brian-rogers) wrote :

Good, it looks like those dumps contain the needed information. Next, you'll have to send that information to the bluez mailing list, so upstream developers can look at it and resolve the issue. See here:

http://vger.kernel.org/vger-lists.html#linux-bluetooth

papukaija (papukaija) on 2010-08-10
tags: added: karmic lucid
summary: - bluetooth in karmic is nonfunctional
+ bluetooth is nonfunctional

Under Precise 64bits, I have bluetooth problem too.
Mouse is OK with BCM2035 dongle, but keyboard seems to pair (showinf pair : OK), but on bluez-agent, I never can toggle the switch for activate.

Same with the latest Live-CD of Precise.

I have to remove bluez from Precise and download the one for Lucid (downgrade with bluez 4.60), and then a simple sudo hidd --search is pairing all.

The downside of the 4.60 version, is that it removes ia32-libs, needed but some 32 bits applications....

Any news for a solution ?

With Trusty : same problem. Is there someone who could help us to have mouse and keyboard working without downgrading to very old package version, and that trick won't be possible in Trusty and later...

Thanks.

Daniel van Vugt (vanvugt) wrote :

Thank you for reporting this bug to Ubuntu. Ubuntu 9.10 (karmic) reached EOL on April 30, 2011.
See this document for currently supported Ubuntu releases: https://wiki.ubuntu.com/Releases

Please upgrade to the latest version and re-test.

Changed in bluez (Ubuntu):
status: Confirmed → Incomplete
Daniel van Vugt (vanvugt) wrote :

Closed due to no response.

Changed in bluez (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers